Bug 860150 - Job matrix gives TypeError: 'in <string>' requires string as left operand
Job matrix gives TypeError: 'in <string>' requires string as left operand
Status: CLOSED INSUFFICIENT_DATA
Product: Beaker
Classification: Community
Component: reports (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Amit Saha
tools-bugs
UX
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 02:28 EDT by Dan Callaghan
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 01:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-09-25 02:28:05 EDT
Description of problem:
Generating job matrix report gives 500 ISE.

Version-Release number of selected component (if applicable):
beaker-server-0.9.3-7.git.72.45c80e7.el6.noarch

How reproducible:
On my development Beaker, reliably reproduceable for every possible whiteboard value I have tried so far.

Steps to Reproduce:
1. Go to job matrix page
2. Pick a whiteboard from the drop down list
3. Hit the Generate button
  
Actual results:
500:

2012-09-25 16:24:55,667 cherrypy.msg INFO HTTP: Page handler: <bound method JobMatrix.index of <bkr.server.job_matrix.JobMatrix ins
tance at 0x7f610e7b3560>>
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 121, in _run
    self.main()
  File "/usr/lib/python2.6/site-packages/CherryPy-2.3.0-py2.6.egg/cherrypy/_cphttptools.py", line 264, in main
    body = page_handler(*virtual_path, **self.params)
  File "<string>", line 3, in index
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 361, in expose
    *args, **kw)
  File "<generated code>", line 0, in run_with_transaction
  File "/usr/lib/python2.6/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/database.py", line 458, in sa_rwt
    retval = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 244, in _expose
    @abstract()
  File "<generated code>", line 0, in _expose
  File "/usr/lib/python2.6/site-packages/peak/rules/core.py", line 153, in __call__
    return self.body(*args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 390, in <lambda>
    fragment, options, args, kw)))
  File "/usr/lib/python2.6/site-packages/turbogears/controllers.py", line 425, in _execute_func
    output = errorhandling.try_call(func, *args, **kw)
  File "/usr/lib/python2.6/site-packages/turbogears/errorhandling.py", line 77, in try_call
    return func(self, *args, **kw)
  File "/usr/lib/python2.6/site-packages/bkr/server/job_matrix.py", line 52, in index
    matrix_options['whiteboard_options'] = self.get_whiteboard_options(kw.get('filter'), selected=kw.get('whiteboard'))
  File "/usr/lib/python2.6/site-packages/bkr/server/job_matrix.py", line 112, in get_whiteboard_options
    if whiteboard in selected:
TypeError: 'in <string>' requires string as left operand

Expected results:
A matrix.
Comment 1 Amit Saha 2012-09-25 03:27:40 EDT
In Gerrit: http://gerrit.beaker-project.org/#/c/1373/
Comment 3 Raymond Mancy 2013-08-30 01:42:38 EDT
This is no longer reproducible

Note You need to log in before you can comment on or make changes to this bug.